import request from '@/utils/request'

// 查询增值服务列表
export function listAddValueService(query) {
  return request({
    url: '/model/AddValueService/list',
    method: 'get',
    params: query
  })
}

// 查询增值服务详细
export function getAddValueService(addValueServiceId) {
  return request({
    url: '/model/AddValueService/' + addValueServiceId,
    method: 'get'
  })
}

// 新增增值服务
export function addAddValueService(data) {
  return request({
    url: '/model/AddValueService',
    method: 'post',
    data: data
  })
}

// 修改增值服务
export function updateAddValueService(data) {
  return request({
    url: '/model/AddValueService',
    method: 'put',
    data: data
  })
}

// 删除增值服务
export function delAddValueService(addValueServiceId) {
  return request({
    url: '/model/AddValueService/' + addValueServiceId,
    method: 'delete'
  })
}
